ros-kinetic-turtlebot-bringup (2.4.2-0wily) wily; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.4.1-0wily) wily; urgency=high

  * Modify R200 launch file.
    Modified the R200 3D sensor launch file
    to conform more closely to the other
    open_ni2-style sensor launch files. This
    allows the data processing arguments passed
    in to correctly pass through and control
    image processing.
    This allows the turtlebot_follower package,
    for example, to set "depth_processing" to
    true to enable the /camera/depth/depth_rect/
    topic with the R200 as it can with other
    cameras.
  * Refactor cmd_vel_mux.
    Moved mobile_base_nodelet_manager and cmd_vel_mux to a
    common, higher-level launch file.
    Currently each base-specific mobile_base.launch.xml
    loaded the same cmd_vel_mux node with the same configuration.
    To reduce this redundancy, launching this nodelet has been
    moved to the common, higher-level mobile_base.launch.xml.
    The mobile_base_nodelet_manager has been moved up to facilitate
    this change.
  * Remove unnecessary mobile_base.launch.xml layer
    mobile_base.launch.xml currently is just a pass-through to
    include the TURTLEBOT_BASE-specific launch file.  Simply
    removed this unnecessary layer.
  * Contributors: Kevin C. Wells

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.4.0-0wily) wily; urgency=high

  * Add support for Intel R200 camera
    Added necessary launch, urdf, etc. files to
    add support for the R200 camera in Turtlebot.
    Updated r200 URDF to inclue proper mounting.
    Added runtime dependency on realsense_camera package.
  * [bringup] remove outdated broken comment
  * refactor concert content out of minimal and create separate concert_minimal.launch
    The concert_minimal.launch includes minmal.launch
  * propagate netbook battery to other similar launch file
  * disable the battery node if TURTLEBOT_BATTERY is set to None
    Fixes #224 <https://github.com/turtlebot/turtlebot/issues/224>
  * Contributors: Daniel Stonier, Kevin C. Wells, Tully Foote

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 01 Nov 2016 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.12-0wily) wily; urgency=high

  * update xacro usage for jade deprecations
    comment out unused arguments generating errors
  * add support for Orbbec Astra
  * add the teleop switch script as a default input to support joystick interactive follower
  * use rocon_apps/make_a_map for make a map interaction closes #210 <https://github.com/turtlebot/turtlebot/issues/210>
  * Fix icon for interactions.
  * Contributors: Jihoon Lee, Tully Foote, commaster90

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 Jun 2016 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.11-0wily) wily; urgency=high

  * interaction fix closes #208 <https://github.com/turtlebot/turtlebot/issues/208>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 15 Apr 2015 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.10-0wily) wily; urgency=high

  * update interaction name regarding android pairing as change of android apps name
  * Contributors: dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 02 Apr 2015 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.9-0wily) wily; urgency=high

  * add chirp in android pairing closes #205 <https://github.com/turtlebot/turtlebot/issues/205>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 30 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.8-0wily) wily; urgency=high

  * update compatibility for upgrade turtlebot android apps
  * Merge pull request #201 <https://github.com/turtlebot/turtlebot/issues/201> from dwlee/indigo_teleop
    Update interaction
  * [turtlebot_bringup] fix conflicts in the turtlebot base launchers
  * [turtlebot_bringup] doc strings for roslaunch args.
  * update android teleop remapping rule and add kitkat in compatibility
  * add rapp preferred configuration
  * expose the interactions list in a way that conforms to the rest of the turtlebot environment settings.
  * doc'ified some url args.
  * bugfixes incorrect concert_whitelist arg default, fixes #199 <https://github.com/turtlebot/turtlebot/issues/199>.
  * Merge branch 'indigo' of https://github.com/turtlebot/turtlebot into indigo
  * visualisation interactions
  * add ps3 joystick interactions closes #196 <https://github.com/turtlebot/turtlebot/issues/196>
  * Contributors: Daniel Stonier, Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.7-0wily) wily; urgency=high

  * switch openni driver to openni2 for asus xtion pro
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 02 Mar 2015 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.6-0wily) wily; urgency=high

  * Merge pull request #194 <https://github.com/turtlebot/turtlebot/issues/194> from turtlebot/asus_center
    Configurable 3d sensor
  * update urdf. now new position uses asus_xtion_pro. Old position is asus_xtion_pro_offset
  * update env hook to  to use centered asus
  * add 3dsensor aluncher
  * asus is now default
  * updates
  * Merge branch 'indigo' into 3dsensor_config
  * separate launchers for kinect and asus
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 27 Feb 2015 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.5-0wily) wily; urgency=high

  * bringup depend on capabilities. capabilities should not depend on bringup #185 <https://github.com/turtlebot/turtlebot/issues/185>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 12 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.4-0wily) wily; urgency=high

  * remove turtlebot_capabilities from run_depend closes #185 <https://github.com/turtlebot/turtlebot/issues/185>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.3-0wily) wily; urgency=high

  * add kobuki_capabilities and turtlebot_capabilities as run_depend in turtlebot_bring fixes #184 <https://github.com/turtlebot/turtlebot/issues/184>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 05 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.2-0wily) wily; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.1-0wily) wily; urgency=high

  * use env for rapp parsing
  * use turtlebot as envinroment variable prefixes
  * install interactions directory closes #176 <https://github.com/turtlebot/turtlebot/issues/176>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.0-0wily) wily; urgency=high

  * removing unused args
  * move out turtlebot map file environment variable to turtlebot_navigation, refs #163 <https://github.com/turtlebot/turtlebot/issues/163>.
  * fixing typo in concert_client.launch
  * add interaction icons to fix #162 <https://github.com/turtlebot/turtlebot/issues/162>
  * migrate linux_hardware as linux_peripheral_interfaces repo
  * Revert "Adding the rosbridge setting for using rosbridge on pairing mode"
  * align the arg
  * add the rosbridge setting for using rosbridge on pairing mode
  * Change env-vars to not overwrite already set vars
  * concert version turtlebot
  * proper remappings and use video_teleop virtual rapp
  * Merge pull request #148 <https://github.com/turtlebot/turtlebot/issues/148> from turtlebot/irdevel
    Update to use environment hooks for turtlebot_bringup / Android pairing updates
  * Move robot name and type to environment variable as mentioned in #134 <https://github.com/turtlebot/turtlebot/issues/134>
  * Fix compatibility uri's to filter out PC interactions on Android
  * Split Android and PC Pairing into seperate roles
  * Update to use env-hooks for Turtlebot
  * Initial Android fixes
  * Update to account for turtlebot_rapps/teleop change to implement rocon_apps/teleop
  * cleanup legacy install rule. and remove concert directory which is not valid anymore
  * Rolled android and qt make_a_map and map_nav into one
  * Remove unncessary launchers as app manager and capabilities are rolled into minimal now
  * Enable capabilities server for turtlebot on indigo
  * Fix mapping for Qt teleop
  * Bugfix changes - small
  * Added more interactions
  * Added interactions to Turtlebot on indigo, collapsed minimal_with_appmanager into just minimal
  * better acceleration defaults after experimental observations.
  * refactor turtlebot_core_apps -> turtlebot_rapps
  * Remap cmd_vel for the calibration script
    It needs to match the turtlebot node in order to monitor for changes
  * Load calibration on turtlebot bringup
  * add depth argument to configure scan_processing. With this configuration scan works for both depth_regratation false and true
  * add blacklist argument
  * compatible with new app manager
  * rapp exporting for new rocon_app_manager
  * patches to keep the consistency of arguments #114 <https://github.com/turtlebot/turtlebot/issues/114>
  * Merge pull request #114 <https://github.com/turtlebot/turtlebot/issues/114> from mayrjohannes/hydro-devel
    Added serial port as parameter to launch files (Issue https://github.com/turtlebot/turtlebot/issues/111)
  * Fixing "Error with diagnostics.yaml for roomba #110 <https://github.com/turtlebot/turtlebot/issues/110>"
  * updates capabilities-specific rosinstaller
  * adds turtlebot_capabilities package and related changes
  * Trivial comment spelling fix rhoomba -> roomba
  * turtlebot_bringup: adds capabilities (server + default provider configs)
  * adding name for rapp list
  * Added serial port as parameter to launch files
    modified:   create/mobile_base.launch.xml
    modified:   kobuki/mobile_base.launch.xml
    modified:   mobile_base.launch.xml
    modified:   roomba/mobile_base.launch.xml
    modified:   ../minimal.launch
    Committer: mayrjohannes <mailto:joh.mayr@jku.at>
    Author: mayrjohannes <mailto:joh.mayr@jku.at>
  * Contributors: Daniel Stonier, DongWook Lee, Jihoon Lee, Kenneth Bogert, Luka Čehovin, Marcus Liebhardt, Yujin, kentsommer, wheeled_robin

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 30 Nov 2014 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.2.2-0wily) wily; urgency=high

  * Rename cmd_vel_mux as yocs_cmd_vel_mux.
  * Temporary fix for hub whitelists so pairing doesn't get distracted by concerts.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.2.1-0wily) wily; urgency=high

  * remove cmake install rule for now obsoleted upstart files.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 14 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.2.0-0wily) wily; urgency=high

  * convenient paired launchers (no uuids, auto-invitations).
  * Robot description in paired master.
  * Modularising robot description to use with paired masters.
  * Remove outdated upstart directory.
  * Rename include launchers to xyz.launch.xml.
  * Changelogs at package level.
  * Remove _mobile_base_soft.launch
  * Do not use robot_pose_ekf for kobuki base. Instead, use imu for heading and encoders por x and y.
  * A bunch of fixes on absolute and application namespaces
  * Depend on turtlebot_description rather than the specific instances kobuki, create.
  * Update dependency to openni_launch and remove component dependencies.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.1.1-0wily) wily; urgency=high

  * Fix TurtleBot name
  * Add map manager rapp and rapp-related namespace changes to 3dsensor.launch
  * Change 3dsensor.launch so we maximize use of openni_launch
  * Use the new app manager
  * Use the new app manager app list format. Remove turtlebot_sounds, as it's already included on rocon apps
  * Public master for android app is 11311, and private master is 11312
  * Add turtlebot2 icons

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 06 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.1.0-0wily) wily; urgency=high

  * Catkinized
  * Use more aggressive acceleration limits
  * Use the new Rocon app manager: http://www.ros.org/wiki/rocon_app_manager

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 15 Jul 2013 07:00:00 -0000


